# BackRaw's Notifications-Script v1

# import important libraries
import es
import gamethread
import playerlib

# announce your website at every new round + display the current installed EventScripts-Version
def round_start(ev):
    # setup your website hier
    es.set('website', 'www.YourWebsite.com')
    es.msg('#multi', '#green[#lightgreenNotifications#green] #lightgreenVisit #green%s' % es.ServerVar('website'))

# annouce that a new player is joining the game
def player_connect(ev):
    es.msg('#multi', '#green[#lightgreenNotifications#green] %s #lightgreenis joining the game...' % ev['name'])

# announce that the new player has joined the game
def palyer_activate(ev):
    es.msg('#mutli', '#green[#lightgreenNotifications#green] %s #lightgreenhas joined the game' % ev['es_username'])

# display the map if a player types in "map" and whether Friendly Fire is or or not. (not up to date)
def player_say(ev):
    if ev['text'] == 'map':
        es.msg('#multi', '#green[#lightgreenNotifications#green] #lightgreenCurrent map: #green%s' % es.ServerVar('eventscripts_currentmap'))

    if ev['text'] == 'ff':
        if es.ServerVar('mp_friendlyfire') == '1':
            es.msg('#multi', '#green[#lightgreenNotifications#green] #lightgreenFriendly Fire: #greenOn')
        else:
            es.msg('#multi', '#green[#lightgreenNotifications#green] #lightgreenFriendly Fire: #greenOff')

def player_hurt(ev):
    # show that you hurt yourself (e.g. with a he grenade)
    if ev['attacker'] == ev['userid']:
        es.tell(ev['userid'], '#multi', '#green[#lightgreenNotifications#green] #lightgreenYou hurt yourself!')

    elif ev['es_userteam'] != ev['es_attackerteam']:
        # show how many der HP the enemy still has left after your hits
        es.tell(ev['attacker'], '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenhas still: #green%s HP' % (ev['es_username'], ev['es_userhealth']))
    else:
        # show how many HP your teammate still has after your attacking
        es.tell(ev['attacker'], '#multi', '#green[#lightgreenNotifications#green] #lightgreenTeamMate #green%s #lightgreenhas still: #green%s HP' % (ev['es_username'], ev['es_userhealth']))

def player_death(ev):
    # which weapon did the attacker kill you with?
    es.tell(ev['userid'], '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenkilled you with \'#green%s#lightgreen\'' % (ev['es_attackername'], ev['weapon']))        

def bomb_dropped(ev):
    for userid in playerlib.getUseridList('#t'):
        if ev['es_userhealth'] < '1':
           # notice the team that you lost the bomb because of your death
           es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenlost the #greenbomb #lightgreenbecause of his death' % ev['es_username'])
        else:
           # notice the team that you threw away the bomb
           es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenthrew away the #greenbomb' % ev['es_username'])

def bomb_pickup(ev):
    # notice the team that you picked up the bomb
    for userid in playerlib.getUseridList('#t'):
        es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenpicked up the #greenbomb' % ev['es_username'])

def bomb_beginplant(ev):
    # notice the team that you're planting the bomb
    for userid in playerlib.getUseridList('#t'):
        es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenis planting the #greenbomb#lightgreen...' % ev['es_username'])

def bomb_planted(ev):
    # notice the team that you just planted the bomb
    for userid in playerlib.getUseridList('#t'):
        es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenplanted the #greenbomb' % ev['es_username'])

def bomb_begindefuse(ev):
    # notice the team that you're defusing the bomb
    for userid in playerlib.getUseridList('#ct'):
        es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenis defusing the #greenbomb#lightgreen...' % ev['es_username'])

def bomb_defused(ev):
    # notice the team that you just defused the bomb
    for userid in playerlib.getUseridList('#ct'):
        es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreendefused the #greenbomb' % ev['es_username'])
